Bug 1387447 - Review Request: php-sentry - PHP client for Sentry
Summary: Review Request: php-sentry - PHP client for Sentry
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-20 23:49 UTC by Shawn Iwinski
Modified: 2016-11-20 23:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-15 23:22:19 UTC
Type: ---
fedora: fedora-review+


Attachments (Terms of Use)
licensecheck.txt (4.65 KB, text/plain)
2016-10-28 15:44 UTC, Remi Collet
no flags Details
phpci.log (20.22 KB, text/plain)
2016-10-28 15:45 UTC, Remi Collet
no flags Details
review.txt (8.15 KB, text/plain)
2016-10-28 15:45 UTC, Remi Collet
no flags Details

Description Shawn Iwinski 2016-10-20 23:49:14 UTC
Spec URL: https://raw.githubusercontent.com/siwinski/rpms/d010623fb01b0382aefe7ba84ff5e4a2ce4ff17e/php-sentry/php-sentry.spec

SRPM URL: https://siwinski.fedorapeople.org/SRPMS/php-sentry-1.5.0-1.fc24.src.rpm

Description:
PHP client for Sentry (http://getsentry.com).

NOTE: Replaces php-Raven


Fedora Account System Username: siwinski

Comment 1 Remi Collet 2016-10-28 15:44:07 UTC
Created attachment 1215024 [details]
licensecheck.txt

Comment 2 Remi Collet 2016-10-28 15:45:03 UTC
Created attachment 1215025 [details]
phpci.log

phpCompatInfo version 5.0.1 DB version 1.14.0 built Oct 15 2016 18:25:40 CEST static analyze results

Comment 3 Remi Collet 2016-10-28 15:45:56 UTC
Created attachment 1215026 [details]
review.txt

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1387447
Buildroot used: fedora-rawhide-x86_64

Comment 4 Remi Collet 2016-10-28 15:51:14 UTC
Blockers:

[!]: License field in the package spec file matches the actual license.
	Should be BSD and ASL 2.0 with a comment about Serializer.php being ASL 2.0

[!]: Requires correct, justified where necessary.
	php-cli missing (for /usr/bin/sentry)


Notice:

For now php-Monolog have
# "raven/raven": "^0.13"
%global raven_min_ver   0.13
%global raven_max_ver   1.0

Upstream have 
   "require-dev": {
        "sentry/sentry": "^0.13",
And:
   "suggest": {
         "sentry/sentry": "Allow sending log messages to a Sentry server",

So, ensure version 1.5.0 is ok for Monolog.

Comment 5 Remi Collet 2016-10-28 16:00:02 UTC
Just to check what composer pull (from monolog)

  - Installing sentry/sentry (0.13.0)
    Downloading: 100%

Comment 6 Shawn Iwinski 2016-10-28 23:23:35 UTC
Regarding monolog stuff: Great catch!  I'll check out comparability.  Hopefully I can at least package the latest sentry/sentry 0.x version (0.22.0).

Comment 7 Shawn Iwinski 2016-11-04 02:12:36 UTC
Downgraded to 0.2.0 (latest 0.x release) for php-Monolog (verified compatibility) and made fixes per comment 4.



Spec URL: https://raw.githubusercontent.com/siwinski/rpms/47e74254d7e035220abc71352f9b59f9c05c1e73/php-sentry/php-sentry.spec

SRPM URL: https://siwinski.fedorapeople.org/SRPMS/php-sentry-0.22.0-1.fc24.src.rpm

Comment 8 Remi Collet 2016-11-04 05:31:06 UTC
[x]: License field in the package spec file matches the actual license.

[x]: Requires correct, justified where necessary.
	

=== APPROVED ===

Comment 9 Shawn Iwinski 2016-11-04 11:20:30 UTC
THANKS for the review! -- and especially for catching the Monolog version constraint

Comment 10 Gwyn Ciesla 2016-11-04 13:22:49 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-sentry

Comment 11 Fedora Update System 2016-11-04 18:05:29 UTC
php-sentry-0.22.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-782ea745d0

Comment 12 Fedora Update System 2016-11-04 18:05:37 UTC
php-sentry-0.22.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-759427ad21

Comment 13 Fedora Update System 2016-11-04 18:05:42 UTC
php-sentry-0.22.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1c2866b16d

Comment 14 Fedora Update System 2016-11-04 18:05:47 UTC
php-sentry-0.22.0-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-311313e9de

Comment 15 Fedora Update System 2016-11-04 18:05:51 UTC
php-sentry-0.22.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-10bf41d9af

Comment 16 Fedora Update System 2016-11-05 19:01:00 UTC
php-sentry-0.22.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-10bf41d9af

Comment 17 Fedora Update System 2016-11-06 00:46:26 UTC
php-sentry-0.22.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-311313e9de

Comment 18 Fedora Update System 2016-11-06 00:49:26 UTC
php-sentry-0.22.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1c2866b16d

Comment 19 Fedora Update System 2016-11-06 01:53:10 UTC
php-sentry-0.22.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-759427ad21

Comment 20 Fedora Update System 2016-11-06 01:53:52 UTC
php-sentry-0.22.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-782ea745d0

Comment 21 Fedora Update System 2016-11-15 23:22:19 UTC
php-sentry-0.22.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2016-11-16 17:24:25 UTC
php-sentry-0.22.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2016-11-19 21:12:04 UTC
php-sentry-0.22.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2016-11-20 12:47:56 UTC
php-sentry-0.22.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2016-11-20 23:49:23 UTC
php-sentry-0.22.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.